Debian Bug report logs - #404896
RM: libbusiness-ups-perl -- RoQA; no rev-deps; orphaned or outdated

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Gunnar Wolf <gwolf@gwolf.org>

Date: Fri, 29 Dec 2006 00:33:02 UTC

Severity: normal

Merged with 279777, 423326

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#404896; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: submit@bugs.debian.org
Subject: Request for removal - Several orphaned Perl packages
Date: Thu, 28 Dec 2006 16:31:30 -0600
[Message part 1 (text/plain, inline)]
Subject: Request for removal - Several orphaned Perl packages
Package: ftp.debian.org
Severity: normal

Hi,

The following Perl modules have been orphaned (or have not been
updated) for a long time, have no reverse dependencies, and have quite
low installation count according to popcon: 

libbusiness-ups-perl (O: #279777 nov 2004; last non-QA upload Mar 2002) Popcon: 18 Rdepends: 0
libnewt-perl (O: #279798 nov 2004; last non-QA upload Jul 2003) Popcon: 37 Rdepends:0
libcorba-orbit-perl (O:#279781 Nov 2004; last non-QA upload Aug 2002) Popcon: 50 Rdepends: 0
libtangram-perl (O: #279804 Nov 2004; last non-QA upload Sep 2002) Popcon: 27 Rdepends: 0
libapache-authznetldap-perl (O: #312835 jun 2005, last non-QA upload Mar 2004) Popcon: 38 Rdepends: 0
libclass-prototyped-perl (O: #317262 Jul 2005; last non-QA upload Mar 2005) Popcon: 24 Rdepends: 0
libapache-miniwiki-perl (O: #400362; last non-QA upload Dec 2003) Popcon: 25 Rdepends: 0 
libextutils-f77-perl (O: #317400 Jul 2005; last non-QA upload Jun 2004) Popcon: 39 Rdepends: 0
libnet-ftpserver-perl (O: #357085 Mar 2006; last non-QA upload Feb 2004) Popcon: 38 Rdepends: 0
libdb-file-lock-perl (O: #357344 Mar 2006; last non-QA (and only) upload Sep 2004) Popcon: 57 Rdepends: 1
libpod-pom-perl (O: #379983 Jul 2006; last non-QA upload Jul 2005) Popcon: 45 Rdepends: 0
libclass-contract-perl (O: #399254 Nov 2006; last non-QA upload Mar 2003) Popcon: 26 Rdepends: 0

Once this bug gets a number assigned, I'll send a copy to both
debian-devel and the pkg-perl group lists, to see if anybody has
something to say regarding any of those packages.

Greetings,

-- 
Gunnar Wolf - gwolf@gwolf.org - (+52-55)5623-0154 / 1451-2244
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#404896; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #10 received at 404896@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: debian-perl@lists.debian.org, debian-devel@lists.debian.org, 404896@bugs.debian.org
Subject: More orphaned Perl packages to be removed from the archive
Date: Thu, 28 Dec 2006 17:11:54 -0600
[Message part 1 (text/plain, inline)]
Hi,

I just filed bug #404896 - I'm copying it here as I hope you have some
comments regarding it:

The following Perl modules have been orphaned (or have not been
updated) for a long time, have no reverse dependencies, and have quite
low installation count according to popcon: 

libbusiness-ups-perl (O: #279777 nov 2004; last non-QA upload Mar 2002) Popcon: 18 Rdepends: 0
libnewt-perl (O: #279798 nov 2004; last non-QA upload Jul 2003) Popcon: 37 Rdepends:0
libcorba-orbit-perl (O:#279781 Nov 2004; last non-QA upload Aug 2002) Popcon: 50 Rdepends: 0
libtangram-perl (O: #279804 Nov 2004; last non-QA upload Sep 2002) Popcon: 27 Rdepends: 0
libapache-authznetldap-perl (O: #312835 jun 2005, last non-QA upload Mar 2004) Popcon: 38 Rdepends: 0
libclass-prototyped-perl (O: #317262 Jul 2005; last non-QA upload Mar 2005) Popcon: 24 Rdepends: 0
libapache-miniwiki-perl (O: #400362; last non-QA upload Dec 2003) Popcon: 25 Rdepends: 0 
libextutils-f77-perl (O: #317400 Jul 2005; last non-QA upload Jun 2004) Popcon: 39 Rdepends: 0
libnet-ftpserver-perl (O: #357085 Mar 2006; last non-QA upload Feb 2004) Popcon: 38 Rdepends: 0
libdb-file-lock-perl (O: #357344 Mar 2006; last non-QA (and only) upload Sep 2004) Popcon: 57 Rdepends: 1
libpod-pom-perl (O: #379983 Jul 2006; last non-QA upload Jul 2005) Popcon: 45 Rdepends: 0
libclass-contract-perl (O: #399254 Nov 2006; last non-QA upload Mar 2003) Popcon: 26 Rdepends: 0

-- 
Gunnar Wolf - gwolf@gwolf.org - (+52-55)5623-0154 / 1451-2244
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#404896; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Michael Ablassmeier <abi@grinser.de>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #17 received at 404896@bugs.debian.org (full text, mbox):

From: Michael Ablassmeier <abi@grinser.de>
To: debian-devel@lists.debian.org
Cc: 404896@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: More orphaned Perl packages to be removed from the archive
Date: Fri, 29 Dec 2006 06:32:24 +0100
hi Gunnar,

On Thu, Dec 28, 2006 at 05:11:54PM -0600, Gunnar Wolf wrote:
> Hi,
> 
> I just filed bug #404896 - I'm copying it here as I hope you have some
> comments regarding it:
> 
> The following Perl modules have been orphaned (or have not been
> updated) for a long time, have no reverse dependencies, and have quite
> low installation count according to popcon: 
> 
> libbusiness-ups-perl (O: #279777 nov 2004; last non-QA upload Mar 2002) Popcon: 18 Rdepends: 0

interchange ships parts of libbusiness-ups-perl and should depend on it,
see #404022.

bye,
    - michael



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#404896; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Nacho Barrientos Arias" <chipi@criptonita.com>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #22 received at 404896@bugs.debian.org (full text, mbox):

From: "Nacho Barrientos Arias" <chipi@criptonita.com>
To: 404896@bugs.debian.org
Subject: libclass-contract-perl
Date: Sun, 7 Jan 2007 19:19:57 +0000 (GMT)
> libclass-contract-perl

Please, do not delete this one, I will adopt it (see #399254)

Thanks.

--
Nacho



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#404896; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Nacho Barrientos Arias <chipi@criptonita.com>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #27 received at 404896@bugs.debian.org (full text, mbox):

From: Nacho Barrientos Arias <chipi@criptonita.com>
To: debian-release@lists.debian.org
Cc: gwolf@gwolf.org, 404896@bugs.debian.org
Subject: libclass-contract-perl in testing again
Date: Sun, 7 Jan 2007 23:18:14 +0100
[Message part 1 (text/plain, inline)]
Hello,

It seems that due to a removal request[0], libclass-contract-perl[1] was 
removed from testing[2]. Now, I'm interested in adopt this package[3] but I 
can't just close #404896 because this bug concerns another packages. so 
what's the right way to request reaccepting libclass-contract-perl in testing 
again? I've a new version of this package ready for upload.

Please, CC me, I'm not subscribed.

Thank you very much,

[0] http://bugs.debian.org/404896
[1] http://packages.qa.debian.org/libc/libclass-contract-perl.html
[2] 
http://packages.qa.debian.org/libc/libclass-contract-perl/news/20061230T233914Z.html
[3] http://bugs.debian.org/399254

-- 
bye,
   - Nacho 
     http://criptonita.com/~nacho
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#404896; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #32 received at 404896@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Nacho Barrientos Arias <chipi@criptonita.com>
Cc: debian-release@lists.debian.org, gwolf@gwolf.org, 404896@bugs.debian.org
Subject: Re: libclass-contract-perl in testing again
Date: Mon, 08 Jan 2007 07:50:57 +0100
[Message part 1 (text/plain, inline)]
Nacho Barrientos Arias wrote:
> Hello,
> 
> It seems that due to a removal request[0], libclass-contract-perl[1] was 
> removed from testing[2]. Now, I'm interested in adopt this package[3] but I 
> can't just close #404896 because this bug concerns another packages. so 
> what's the right way to request reaccepting libclass-contract-perl in testing 
> again? I've a new version of this package ready for upload.

Please ask debian-release to hint it into testing after uploading the new
version and I'll probably hint in ;-)

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#404896; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Nacho Barrientos Arias <chipi@criptonita.com>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #37 received at 404896@bugs.debian.org (full text, mbox):

From: Nacho Barrientos Arias <chipi@criptonita.com>
To: 404896@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: libclass-contract-perl in testing again
Date: Mon, 8 Jan 2007 09:02:01 +0100
retitle 404896 RM: libbusiness-ups-perl libnewt-perl libcorba-orbit-perl libtangram-perl libapache-authznetldap-perl libclass-prototyped-perl libapache-miniwiki-perl libextutils-f77-perl libnet-ftpserver-perl libdb-file-lock-perl libpod-pom-perl -- RoQA; no rev-deps; orphaned or outdated
thanks

On Sunday 07 January 2007 23:37, you wrote:
> On Sun, 2007-01-07 at 23:18 +0100, Nacho Barrientos Arias wrote:
> > It seems that due to a removal request[0], libclass-contract-perl[1] was
> > removed from testing[2]. Now, I'm interested in adopt this package[3] but
> > I can't just close #404896 because this bug concerns another packages. so
> > what's the right way to request reaccepting libclass-contract-perl in
> > testing again?
>
> I suggest that you retitle bug 404896 to make sure that
> libclass-contract-perl is not in the title, and then continue your
> intent to adopt with "New maintainer, closes: #399254" in the
> debian/changelog.

As suggested in -release, in order to cancel libclass-contract-perl removal, and
in order to reinject it into testing, I'm retitling this bug. See #404896 log for 
further details.

Thanks to Bart, Luk and Steve for the points.

-- 
bye,
   - Nacho 
     http://criptonita.com/~nacho



Changed Bug title. Request was from Nacho Barrientos Arias <chipi@criptonita.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title to Bug#404896: RM: libbusiness-ups-perl libnewt-perl libcorba-orbit-perl libapache-authznetldap-perl libapache-miniwiki-perl libnet-ftpserver-perl -- RoQA; no rev-deps; orphaned or outdated from RM: libbusiness-ups-perl libnewt-perl libcorba-orbit-perl libtangram-perl libapache-authznetldap-perl libclass-prototyped-perl libapache-miniwiki-perl libextutils-f77-perl libnet-ftpserver-perl libdb-file-lock-perl libpod-pom-perl -- RoQA; no rev-deps; orphaned or outdated. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Mon, 14 May 2007 19:45:04 GMT) Full text and rfc822 format available.

Changed Bug title to RM: libbusiness-ups-perl libnewt-perl libcorba-orbit-perl libapache-authznetldap-perl libapache-miniwiki-perl libnet-ftpserver-perl -- RoQA; no rev-deps; orphaned or outdated from Bug#404896: RM: libbusiness-ups-perl libnewt-perl libcorba-orbit-perl libapache-authznetldap-perl libapache-miniwiki-perl libnet-ftpserver-perl -- RoQA; no rev-deps; orphaned or outdated. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 21 May 2007 20:36:05 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: libbusiness-ups-perl libcorba-orbit-perl libapache-authznetldap-perl libapache-miniwiki-perl -- RoQA; no rev-deps; orphaned or outdated' from `RM: libbusiness-ups-perl libnewt-perl libcorba-orbit-perl libapache-authznetldap-perl libapache-miniwiki-perl libnet-ftpserver-perl -- RoQA; no rev-deps; orphaned or outdated'. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 18 Jun 2007 21:09:45 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: libbusiness-ups-perl libcorba-orbit-perl libapache-authznetldap-perl -- RoQA; no rev-deps; orphaned or outdated' from `RM: libbusiness-ups-perl libcorba-orbit-perl libapache-authznetldap-perl libapache-miniwiki-perl -- RoQA; no rev-deps; orphaned or outdated'. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. (Tue, 19 Jun 2007 15:42:03 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: libbusiness-ups-perl libcorba-orbit-perl -- RoQA; no rev-deps; orphaned or outdated' from `RM: libbusiness-ups-perl libcorba-orbit-perl libapache-authznetldap-perl -- RoQA; no rev-deps; orphaned or outdated'. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 29 Jun 2007 00:06:05 GMT) Full text and rfc822 format available.

Bug 404896 cloned as bug 432380. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 09 Jul 2007 18:03:02 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: libbusiness-ups-perl -- RoQA; no rev-deps; orphaned or outdated' from `RM: libbusiness-ups-perl libcorba-orbit-perl -- RoQA; no rev-deps; orphaned or outdated'. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 09 Jul 2007 18:03:04 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Gunnar Wolf <gwolf@gwolf.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #58 received at 404896-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 404896-close@bugs.debian.org
Cc: libbusiness-ups-perl@packages.debian.org, libbusiness-ups-perl@packages.qa.debian.org
Subject: Bug#404896: fixed
Date: Sun, 22 Jul 2007 09:44:46 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libbusiness-ups-perl |     1.13-4 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 404896@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Forcibly Merged 279777 404896 423326. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Thu, 26 Jul 2007 10:54:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Aug 2007 07:28:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:07:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.